summaryrefslogtreecommitdiffstats
path: root/libraries/libproxy
diff options
context:
space:
mode:
author Robby Workman2010-05-12 23:30:39 +0200
committer David Somero2010-05-12 23:30:39 +0200
commit8caa9ff4084510ed1c3f04a4c6dd7795976c362a (patch)
tree188ae5adc1fa91c9959ad95e5f8186fe689ff5bd /libraries/libproxy
parentb3e5f6c3a01548e06a0b62367e8790bcb43400a2 (diff)
downloadslackbuilds-8caa9ff4084510ed1c3f04a4c6dd7795976c362a.tar.gz
libraries/libproxy: Added to 12.2 repository
Diffstat (limited to 'libraries/libproxy')
-rw-r--r--libraries/libproxy/README8
-rw-r--r--libraries/libproxy/libproxy.SlackBuild98
-rw-r--r--libraries/libproxy/libproxy.info8
-rw-r--r--libraries/libproxy/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/libraries/libproxy/README b/libraries/libproxy/README
new file mode 100644
index 0000000000..75ae88bd65
--- /dev/null
+++ b/libraries/libproxy/README
@@ -0,0 +1,8 @@
+libproxy (proxy configuration library)
+
+libproxy exists to answer the question: Given a network resource,
+how do I reach it? It handles all the details, enabling you to get
+back to programming. GNOME? KDE? Command line? WPAD? PAC? Network
+changed? It doesn't matter! Just ask libproxy what proxy to use: you
+get simple code and your users get correct, consistant behavior and
+broad infrastructure compatibility.
diff --git a/libraries/libproxy/libproxy.SlackBuild b/libraries/libproxy/libproxy.SlackBuild
new file mode 100644
index 0000000000..ed7102e45e
--- /dev/null
+++ b/libraries/libproxy/libproxy.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for libproxy
+
+# Copyright 2009 Robby Workman Northport, AL, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libproxy
+VERSION=${VERSION:-0.2.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libproxy/libproxy.info b/libraries/libproxy/libproxy.info
new file mode 100644
index 0000000000..1917bfed5a
--- /dev/null
+++ b/libraries/libproxy/libproxy.info
@@ -0,0 +1,8 @@
+PRGNAM="libproxy"
+VERSION="0.2.3"
+HOMEPAGE="http://code.google.com/p/libproxy/"
+DOWNLOAD="http://libproxy.googlecode.com/files/libproxy-0.2.3.tar.gz"
+MD5SUM="86b635e1eb2d665cfbef4c6134fe6604"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"
diff --git a/libraries/libproxy/slack-desc b/libraries/libproxy/slack-desc
new file mode 100644
index 0000000000..c4a08425a2
--- /dev/null
+++ b/libraries/libproxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libproxy: libproxy (proxy configuration library)
+libproxy:
+libproxy: libproxy exists to answer the question: Given a network resource,
+libproxy: how do I reach it? It handles all the details, enabling you to get
+libproxy: back to programming. GNOME? KDE? Command line? WPAD? PAC? Network
+libproxy: changed? It doesn't matter! Just ask libproxy what proxy to use: you
+libproxy: get simple code and your users get correct, consistant behavior and
+libproxy: broad infrastructure compatibility.
+libproxy:
+libproxy: Homepage: http://code.google.com/p/libproxy/
+libproxy: